List Resource Snapshots
Retrieves a list of Eon snapshots for the given resource.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.
id
Eon-assigned ID of the resource whose Eon snapshots you want to retrieve.
Query parameters
pageToken
Cursor that points to the first record of the next page of results.
Get this value from the previous response.
To preserve the results in the same order, use the same sorting and filters in the first request as all subsequent requests.
pageSize
Maximum number of items to return in the response.
Request
Filter options.
filters
Filter conditions.
If omitted, no filtering is applied.
sorts
List of sorting options.
Sorting is applied in the order passed in the list.
Response
Snapshots retrieved.
snapshots
List of Eon snapshots.
totalCount
The total number of Eon snapshots.
nextToken
Cursor that points to the first record of the next page of results.
Pass this value in the next request.
Errors
404
Not Found Error